omv-release-upgrade failed (apt-get update failed, too)

  • he repository 'file:/var/cache/openmediavault/archives Release' does not have a Release file.

    Try (as root):


    echo "deb [trusted=yes] file:/var/cache/openmediavault/archives /" > /etc/apt/sources.list.d/openmediavault-local.list
    apt-get update


    Then post the output of:


    apt-cache policy proftpd-basic

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • On 4 systems using omv,


    omv 3.0.99 -> 4.1 => 1 update/without issue, except errors in web interface, during a update check in update management section, fixed with a single reboot.


    1 update with issues, fixed with changing sources.list (i copy the us repositories instead of fr, seen in openmediavault documentation)


    1 update crashed omv. Web interface displayed All updates as it was a new 3.0. As i use a logical volume managed with an raid card, i get out my ssd, plugged it into my pc, deleted partition, and plugged it back into my nas, and re install from scratch, with bootable USB stick and omv 4.x


    1 kept in 3.0.99, and i think, reinstall omv4 on a clean ssd.


    Why?


    I only used omv extras, backup (what for?), and hpraid plugin.


    Before upgrade, i tried to uninstall all these 3 plug-ins. Not sure that omv propose an easy way to do that. I always had some messages rpc... because plug-ins were uninstalled but in menu, lines were displayed yet.


    That s all.


    So, in my 4 cases, same installations, different situations.


    As I said previously, my raid arrays are not managed by omv, I prefer installing new omv4 on clean drive than upgrading, because Debian dist upgrade, omv engine upgrade, update,... a lot of potential issues. And i didn't understand error messages without asking here. My english is not good too.


    Thanks for your help

  • I only used omv extras, backup (what for?), and hpraid plugin.


    Before upgrade, i tried to uninstall all these 3 plug-ins.

    You only needed to uninstall the hpraid plugin since it doesn't exist on OMV 4.x.


    Not sure that omv propose an easy way to do that.

    There is an uninstall button in the Plugin tab. Select the plugin(s) and click it is all that is required.


    I always had some messages rpc... because plug-ins were uninstalled but in menu, lines were displayed yet.

    Clear your browser cache. Problem #1 - https://forum.openmediavault.o…tions-to-common-problems/


    I prefer installing new omv4 on clean drive than upgrading, because Debian dist upgrade, omv engine upgrade, update,... a lot of potential issues

    While the OMV 2.x -> 3.x upgrade was a challenge because it added the change from sysvinit to systemd, the OMV 3.x -> 4.x upgrade is much better in most cases.

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • thanks again and always, Aaron, as your answers are limpid.
    About hpraid yes, uninstalled like you said to me few weeks or months ago.
    I really don't know what was wrong.
    But now, i know how to and what to do if it crash, I will upgrade my last one with upgrade command.
    Thanks a lot, Aaron , again

  • Then post the output of:


    apt-cache policy proftpd-basic

  • Yes sir, no errors

    Still not sure why but you can change the line from


    apt-get install proftpd-basic=1.3.5-1.1+deb8u2


    to


    apt-get install proftpd-basic=1.3.5b-4

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • You only needed to uninstall the hpraid plugin since it doesn't exist on OMV 4.x.

    There is an uninstall button in the Plugin tab. Select the plugin(s) and click it is all that is required.

    Clear your browser cache. Problem #1 - https://forum.openmediavault.o…tions-to-common-problems/

    While the OMV 2.x -> 3.x upgrade was a challenge because it added the change from sysvinit to systemd, the OMV 3.x -> 4.x upgrade is much better in most cases.

    Hi,


    my last OMV 3.0.99 system has been upgraded and updated without big issues or error messages.


    1st, yes, after upgrade or update, cleaning cache or changing internet browser was a good idea. For instance, OMV-Extra was displayed as OMV 3.xx version, just after a reboot, but in the same browser.


    2nd, after point 1, in fact, no more rpc error message.


    3d, upgrade than update, some reboots to be sure. All was good.


    My 4 systems are now based on OMV 4.1.22-1 and work great.


    PS: Always, same translation error into login page, size words too long for this small popup window. English choosen instead.


    Big Thanks to @ryecoaaron for his patience with me :)

  • hello,


    i activate notifications, on my 4 systems, recently upgraded or reinstalled.
    The last one, which has been upgraded 3.0.99 > 4.1.22-1 sends to me an email with this error:



    Code
    /etc/cron.daily/openmediavault-flush-mailq:
    postsuper: fatal: scan_dir_push: open directory hold: No such file or directory
    run-parts: /etc/cron.daily/openmediavault-flush-mailq exited with return code 1

    what do i have to do or set ?


    thanks.


  • I installed proftpd-basic with no errors, now if I try to install openmediavault this is the report:



    Sorry for the italian lines, in english it should be:


    Thanks again for your great support!

  • I installed proftpd-basic with no errors, now if I try to install openmediavault this is the report:

    Can you post the output of: apt-get update

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Can you post the output of: apt-get update

    - "Scaricamento di" means "Downloading"
    - "Lettura elenco dei pacchetti... Fatto" means "Packages read... Done"

  • My mistake. I should've looked at the version of proftpd-basic in stretch. Your repos are changed to stretch already. You should be able to run omv-release-upgrade now.

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • My mistake. I should've looked at the version of proftpd-basic in stretch. Your repos are changed to stretch already. You should be able to run omv-release-upgrade now.

    Nope, still receive "command not found" :(
    Maybe because of the bad installation of openmediavault with apt-get install openmediavault


    It says something like:


    Code
    These packages have not resolved dependencies:
    openmediavault : Depends on: php5-fpm not installable
    openmediavault : Depends on: openssh-blacklist-extra not installable"


    sorry if I'm wrong with the translation

  • I guess we can do it the manual way then.


    sed -i "s/erasmus/arrakis/g" /etc/apt/sources.list.d/*
    apt-get update
    apt-get dist-upgrade


    There are still a few other things but lets see how that goes.

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Installation finished with a single error:

    That isn't an error. Just means you don't have a raid array.


    So, now:


    apt-get clean


    Pay attention to what it is removing in the line. Don't answer the question yes if it is removing anything openmediavault.
    apt-get --purge autoremove


    If that goes well, then reboot

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Pay attention to what it is removing in the line. Don't answer the question yes if it is removing anything openmediavault

    This is the list of tools it will remove:


    libasprintf0c2*
    libdbus-glib-1-2*
    libgtop2-7*
    libjasper1*
    libnl-route-3-200*
    libnm-glib4*
    libnm-util2*
    libntdb1*
    libperl4-corelibs-perl*
    libpng12-0*
    linux-image-4.9.0-0.bpo.4-amd64*
    python-ntdb*


    I am not sure about "linux-image-4.9.0-0.bpo.4-amd64"... Should I continue?

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!